import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterPermissionToVetService = createAsyncThunk(
  "SLAUGHTER_PERMISSION_TO_VET_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("allow_kill_house_vet/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
